/* INDEX */

.bl-display-none {
    display: none;
}

.bl-recipes-bg-img {
    position: relative;
    height: 480px;
    margin-top: 30px;
    margin-bottom: 130px;
    background-image: url("../img/pairing/bg-recettes.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.bl-recipe-more-img {
    width: 100%;
    justify-content: center;
    align-items: center;
}

.bl-recipe-more-img img {
    width: 100%;
    max-width: 50%;
    height: 40vh;
    padding: 5px;
    object-fit: cover;
}

.bl-recipes-search {
    padding: 50px 60px;
    position: absolute;
    bottom: 0;
    left: calc(50% - 30px);
    transform: translate(-50%, 50%);
    width: calc(100% - 60px);
    max-width: 1210px;
    margin: 0 30px;
}

.bl-recipes-search form {
    position: relative;
}

.bl-recipes-search button {
    width: 18px;
    position: absolute;
    top: 50%;
    right: 30px;
    transform: translateY(-50%);
    background: white;
}

.bl-recipes-search input {
    width: 100%;
    font-family: 'Asap Condensed', 'sans-serif';
    font-size: 18px;
    color: #BFB4AE;
    padding: 20px 30px;
    border-radius: 40px;
}

.bl-recipes-search input.success {
    border: 2px solid rgba(0, 173, 0, 0.78);
    border-radius: 40px;
}

.bl-recipes-search input.notfound {
    border: 2px solid rgba(255, 125, 0, 0.78);
    border-radius: 40px;
}

.bl-recipes-search input::placeholder {
    color: #BFB4AE;
}

.bl-main-title--recipes {
    margin-bottom: 30px;
}

.bl-recipes-intro {
    max-width: 915px;
    margin: 0 auto 40px;
    font-size: 22px;
}

.bl-recipes-filter {
    width: 18%;
    border: 1px solid #000;
    padding: 30px 30px 20px 30px;
    margin-bottom: 50px;
}

.bl-recipes-filter span {
    margin-bottom: 20px;
    display: block;
    font-family: 'Asap Condensed', 'sans-serif';
    font-size: 18px;
    font-weight: 600;
}

.bl-radio-ctn {
    margin: 10px 0;
}

.bl-radio-label {
    font-size: 16px;
    font-family: 'Crimson Text', 'serif';
}

.bl-radio {
    margin-right: 10px;
    display: inline-block;
    height: 26px;
    width: 26px;
    overflow: hidden;
    margin-top: -4px;
    vertical-align: middle;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    border: 1px solid #ccc;
    transition: .2s ease-in-out;
    transition-property: background-color, border;
}

.bl-radio:checked {
    background-color: #BFB4AE;
    border-color: transparent;
}

.bl-recipe {
    margin: 40px 0;
}

.bl-recipes-ctn {
    margin-top: 60px;
}

.bl-recipe-img {
    width: 40%;
    height: 18rem;
    overflow: hidden;
    position: relative;
}

.bl-recipe-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.bl-recipe-details {
    padding: 10px 30px 0;
    width: 60%;
}

.bl-recipe-tags {
    margin-top: 40px;
    margin-bottom: 20px;
}

.bl-recipe-tag {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: .9em;
    margin-right: 10px;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    text-align: center;
    color: #6b2b42;
}

.bl-recipe-tag.bg-rouge {
    color: #F8E7E1;
}

.bl-recipe-tag--big {
    width: 65px;
    height: 65px;
}

.bl-recipe-title {
    font-family: 'Asap Condensed', 'sans-serif';
    font-size: 30px;
    margin-bottom: 30px;
    font-weight: 400;
}

.bl-recipe-details-list li {
    width: 20%;
}

.bl-recipe-details-list svg {
    margin-right: 8px;
}

#bl-recipe-more-btn {
    margin-top: 30px;
}

/****************************************************/


/* RECIPE */

.bl-recipe-intro {
    margin: 10px auto;
    font-size: 22px;
    max-width: 920px;
}

.bl-main-title--recipe {
    margin-bottom: 10px;
}

.bl-recipe-subtitle {
    font-family: 'Crimson Text', 'serif';
    font-size: 48px;
    font-style: italic;
    font-weight: 200;
    color: #BFB4AE;
}

.bl-recipe-main-img-container {
    width: 100%;
    padding-top: 56.25%;
    position: relative;
    overflow: hidden;
}

.bl-recipe-main-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.bl-recipe-sum {
    border-top: 1px solid #110011;
    border-bottom: 1px solid #110011;
    padding: 40px 0;
    margin: 20px 0;
}

.bl-recipe-sum li {
    font-size: 18px;
}

.bl-recipe-sum li:not(:last-of-type) {
    margin-right: 40px;
}

.bl-recipe-sum svg {
    margin-right: 10px;
}

.bl-recipe-ctn {
    font-size: 18px;
    margin: 40px 0 90px;
}

.bl-recipe-ingredients {
    margin: 0 120px 0 70px;
    max-width: 20%;
}

.bl-recipe-ingredients ul {
    margin: 0;
    padding: 0 1em;
    list-style: none;
}

.bl-recipe-ingredients li:before {
    content: "";
    border-color: transparent #111;
    border-style: solid;
    border-width: 0.35em 0 0.35em 0.45em;
    display: block;
    height: 0;
    width: 0;
    left: -1em;
    top: 0.9em;
    position: relative;
}

.bl-recipe-ingredients li {
    margin-top: 10px;
}

.bl-recipe-instructions {
    flex: 1;
}

.bl-recipe-instructions strong {
    margin-bottom: 20px;
    display: block;
}

.bl-recipe-instructions h5 {
    margin-bottom: 5px;
}

.bl-recipe-section-others {
    margin: 100px 0 50px;
}

.bl-recipe-section-others img {
    height: 70%;
    object-fit: cover;
}

.bl-main-title--recipe-others {
    margin-bottom: 30px;
    color: #BFB4AE;
}

.bl-recipe-other {
    width: 30%;
}

.bl-recipe-other-title {
    margin-top: 20px;
    font-family: 'Asap Condensed', 'sans-serif';
    font-size: 23px;
    font-weight: 400;
    line-height: 1.3;
}

#page2go li {
    padding: 7px 12px 3px !important;
    border-radius: 4px;
}

/****************************************************/


/* RESPONSIVE */

@media (max-width: 1024px) {

    /* INDEX */

    .bl-recipe {
        border-bottom: 1px solid #110011;
        margin-bottom: 50px;
    }

    .bl-recipe-img {
        width: 95vw;
        height: 52vw;
    }

    .bl-recipe-details {
        width: 100%;
        padding: 0 0 15px 0;
    }

    .bl-recipe-title {
        font-size: 23px;
    }

    #bl-filter-mobile {
        border: 1px solid #110011;
        padding: 18px 26px;
        font-family: 'Asap Condensed', 'sans-serif';
        font-size: 18px;
        font-weight: 600;
        transition: 0.4s;
        margin-bottom: 30px;
    }

    #js-bl-filter-mobile-ctn {
        display: none;
        max-height: 80rem;
        margin-top: 20px;
        transition: max-height 0.5s ease-out;
    }

    #bl-filter-mobile-ctn.active {
        display: block;
    }

    .bl-recipes-filter {
        width: 100%;
        border: none;
        padding: 15px 0;
        margin-bottom: 0;
    }

    .bl-recipes-search {
        padding: 30px;
        border-radius: 4rem;
    }

    .bg-success-search {
        background-color: #c8dab6;
    }

    .bg-fail-search {
        background-color: #ff806b;
    }

    .bl-recipes-bg-img {
        height: 400px;
    }

    /****************************************************/


    /* RECIPE */

    .bl-recipe-ingredients {
        margin: 0 60px 50px 0;
        max-width: 100%;
    }

    /****************************************************/
}


@media (max-width: 640px) {

    .bl-recipe-details-list li {
        width: 50%;
        margin-bottom: 10px;
    }

    .bl-recipes-search {
        padding: 20px;
    }

    .bl-recipes-search input {
        padding: 10px 20px;
    }

    .bl-recipes-search button {
        right: 20px;
    }

    .bl-recipes-bg-img {
        height: 320px;
    }

    .bl-recipe-details-list svg {
        width: 25px;
    }

    .bl-recipe-sum {
        padding: 20px 0;
    }

    .bl-recipe-sum li {
        width: 50%;
        margin: 5px 0 !important;
    }

    .bl-recipe-intro {
        font-size: 18px;
        margin: 50px auto;
    }

    .bl-recipe-ctn {
        margin: 40px 0;
    }

    .bl-recipe-section-others {
        margin: 50px 0 10px 0;
    }

    .bl-recipe-section-others img {
        height: 60%;
    }

    .bl-recipe-other-title {
        margin-top: 0;
        font-size: 18px;
    }

    .bl-recipe-ingredients, .bl-recipe-instructions {
        width: 100%;
    }

    .bl-recipe-tag--big {
        width: 40px;
        height: 40px;
    }

    .bl-main-title--recipe {
        margin-top: 30px;
    }

    .bl-recipe-subtitle {
        font-size: 32px;
    }

    .bl-recipe-more-img {
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .bl-recipe-more-img img {
        width: 100%;
        max-width: 100%;
        height: 50vh;
        padding: 5px;
        object-fit: cover;
    }
}

/****************************************************/